Package ru.bitel.bgbilling.modules.voice.common.bean

# Class VoiceCostMapItem.Builder

java.lang.Object
ru.bitel.bgbilling.modules.voice.common.bean.VoiceCostMapItem.Builder

Enclosing class:
  `VoiceCostMapItem`

public static class VoiceCostMapItem.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `VoiceCostMapItem`
  `build()`
  `VoiceCostMapItem.Builder`
  `setCode(String code)`
  `VoiceCostMapItem.Builder`
  `setCodeId(int codeId)`
  `VoiceCostMapItem.Builder`
  `setComment(String comment)`
  `VoiceCostMapItem.Builder`
  `setCostMapId(int costMapId)`
  `VoiceCostMapItem.Builder`
  `setDateFrom(Date dateFrom)`
  `VoiceCostMapItem.Builder`
  `setDateTo(Date dateTo)`
  `VoiceCostMapItem.Builder`
  `setDestinationTitle(String destinationTitle)`
  `VoiceCostMapItem.Builder`
  `setId(int id)`
  `VoiceCostMapItem.Builder`
  `setItemCost(BigDecimal itemCost)`
  `VoiceCostMapItem.Builder`
  `setLevel(int level)`
  `VoiceCostMapItem.Builder`
  `setTitle(String title)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### setId

    public VoiceCostMapItem.Builder setId(int id)

  - ### setCostMapId

    public VoiceCostMapItem.Builder setCostMapId(int costMapId)

  - ### setItemCost

    public VoiceCostMapItem.Builder setItemCost(BigDecimal itemCost)

  - ### setCodeId

    public VoiceCostMapItem.Builder setCodeId(int codeId)

  - ### setDateFrom

    public VoiceCostMapItem.Builder setDateFrom(Date dateFrom)

  - ### setDateTo

    public VoiceCostMapItem.Builder setDateTo(Date dateTo)

  - ### setComment

    public VoiceCostMapItem.Builder setComment(String comment)

  - ### setLevel

    public VoiceCostMapItem.Builder setLevel(int level)

  - ### setCode

    public VoiceCostMapItem.Builder setCode(String code)

  - ### setDestinationTitle

    public VoiceCostMapItem.Builder setDestinationTitle(String destinationTitle)

  - ### setTitle

    public VoiceCostMapItem.Builder setTitle(String title)

  - ### build

    public VoiceCostMapItem build()